> ## Documentation Index
> Fetch the complete documentation index at: https://docs.warmyourx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Tweet



## OpenAPI

````yaml https://api.warmyourx.com/openapi.json post /tweet
openapi: 3.1.0
info:
  title: Automatex API
  version: 0.1.0
servers:
  - url: https://api.warmyourx.com
    description: Production
security: []
paths:
  /tweet:
    post:
      summary: Tweet
      operationId: tweet_tweet_post
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/Body_tweet_tweet_post'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TweetCreateResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_tweet_tweet_post:
      properties:
        text:
          type: string
          title: Text
          description: Text content for the tweet.
        cookies:
          type: string
          title: Cookies
          description: Raw Cookie header value copied from the browser session.
        proxy:
          anyOf:
            - type: string
            - type: 'null'
          title: Proxy
          description: >-
            Optional per-request proxy URL (overrides X_DEFAULT_PROXY from the
            environment when set). Example: http://user:pass@host:port
        tweet_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Tweet Url
          description: Optional tweet link or numeric tweet ID to reply to.
      type: object
      required:
        - text
        - cookies
      title: Body_tweet_tweet_post
    TweetCreateResult:
      properties:
        tweet_id:
          type: string
          title: Tweet Id
        tweet_url:
          type: string
          title: Tweet Url
        reply_to_tweet_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Reply To Tweet Id
        status:
          type: string
          enum:
            - posted
            - replied
          title: Status
          description: Final action status after the request completed.
      type: object
      required:
        - tweet_id
        - tweet_url
        - status
      title: TweetCreateResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````